# Cellulose
# Loren Williams
# Georgia Tech
# coordinates from Cellulose Builder
# Thiago C. F. Gomes, Munir S. Skaf, Journal of Computational Chemistry 2012,
# Volume 33, Issue 14, pages 1338-1346. DOI: 10.1002/jcc.22959
# https://code.google.com/p/cellulose-builder/
	
		## General Commands ##

#-----PyMol Header------------------------------- 

reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
## ---------End of Header----------------#



load files/fibril-I-alpha/crystal.pdb, fibril
load files/crystal-I-alpha/crystal.pdb, crystal_1_a
load files/crystal-1-beta/crystal.pdb, crystal_1_b

create strand_1, crystal_1_a and segi M77
create strands_2, crystal_1_a and segi M86+M76+M87+M78+M68+M67
create strand_3, fibril and segi M6
create strands_4, fibril and segi M1+M2+M5+M11+M12+M7

#list_hb (strand_1), (strand_1) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_intra
#list_hb (strand_1), (strands_2) , cutoff=3.4, angle = 80, hb_list_name = HB_c1a_inter

#list_hb (strand_3), (strand_3) , cutoff=3.4, angle = 80, hb_list_name = HB_f_intra
#list_hb (strand_3), (strands_4) , cutoff=3.4, angle = 80, hb_list_name = HB_f_inter

dist hbond, (name HO* and strand_3), (name O* and strand_3), 2.1
dist hbond, (name HO* and strands_4), (name O* and strands_4), 2.1
dist hbond, (name HO* and strand_3), (name O* and strands_4), 2.4
dist hbond, (name HO* and strands_4), (name O* and strand_3), 2.4

color yellow, hbond

color cyan, chain B
color yellow, chain A


hide everything, strand*
show stick, strand*
color red, name O* and (strand*)
color white, name H* and (strand*)
color green, name C* and (strand_1)
color wheat, name C* and (strands_2)
color green, name C* and (strand_3)
color wheat, name C* and (strands_4)

color palegreen, strand_3
color wheat, name C* and strand_3
color lightpink, name O* and strand_3



disable all
enable strand_3
show surface
set_view (\
    -0.022581173,    0.990141213,    0.138128161,\
    -0.763044536,   -0.106337428,    0.637523472,\
     0.645929575,   -0.091003828,    0.757940829,\
     0.000000000,    0.000000000, -179.234695435,\
    39.102718353,   18.095149994,    5.297110081,\
   116.371078491,  242.098281860,  -20.000000000 )

ray 2000,2000
save cellulose_one_strand.png
pwd
